VKPURGE(8)

NAME
vkpurge - remove old kernel files/modules

SYNOPSIS
vkpurge list
vkpurge rm [versions ... | all]

DESCRIPTION
The vkpurge command is used to properly remove old or unwanted kernels from Void Linux systems, by running the appropiate removal hooks and doing the removal.

  Justification
xbps-install(1) will leave old kernels in place when the kernel package gets upgraded, and xbps-remove(1) will only be able to remove the latest kernel in a version, for example 4.3.4_4, but it would need to leave behind 4.3.4_3.

OPTIONS

list
    Provide a list of installed kernel versions.

rm  Remove kernels. Must be followed by either a version number or the literal ‘all’.

EXIT STATUS
vkpurge exits with a 0 code unless the help text was printed. Since there is no proper invocation to trigger a print of the help, this can be summarized: if there was a proper invocation of vkpurge then the command will exit 0. Otherwise, the exit code is 1.

EXAMPLES
The following will list all installed kernels.

    $ vkpurge list

The following command will delete the kernel version 2.6.39_2 with all kernel-specific files such as compiled modules.

    # vkpurge rm 2.6.39_2

The following command will delete the kernels with version 2.6.39_2 and 4.3.4_1

    # vkpurge rm 2.6.39_2 4.3.4_1

SEE ALSO
xbps-install(1), xbps-remove(1)

BUGS
There is no support as of yet for all kernels, specific series like rpi-kernel are not supported